Tonyu.klass.define({
  fullName: 'user.APadN',
  shortName: 'APadN',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_APadN_main() {
        "use strict";
        var _this=this;
        
        if (! _this.auto) {
          _this.loop();
        }
      },
      fiber$main :function _trc_APadN_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_APadN_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(! _this.auto)) { __pc=2     ; break; }
              _this.fiber$loop(_thread);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_APadN_initialize(p) {
        "use strict";
        var _this=this;
        
        p=p||{};
        if (! p.alpha) {
          p.alpha=128;
        }
        __superClass.apply( _this, [p]);
        _this.vx=0;
        _this.vy=0;
        _this.outerRadius=_this.outerRadius||75;
        _this.fillStyle=_this.fillStyle||"rgba(255,255,255,0.5)";
        _this.strokeStyle=_this.strokeStyle||"rgba(255,255,255,0.5)";
        _this.innerRadius=_this.innerRadius||50;
        if (typeof  _this.keys==="object") {
          _this.leftKey=_this.keys.left;
          _this.rightKey=_this.keys.right;
          _this.upKey=_this.keys.up;
          _this.downKey=_this.keys.down;
          
        }
        _this.keySpeed=_this.keySpeed!=null?_this.keySpeed:15/50;
        _this.leftKey=_this.leftKey||"left";
        _this.rightKey=_this.rightKey||"right";
        _this.upKey=_this.upKey||"up";
        _this.downKey=_this.downKey||"down";
        _this.decay=(typeof  _this.decay)==="number"?_this.decay:0.8;
        _this.velocity=new Tonyu.classes.kernel.Vec3View(_this,{x: "vx",y: "vy",z: "vz"});
        if ((typeof  _this.x!=="number")||_this.x!==_this.x) {
          _this.x=Tonyu.globals.$screenWidth/2;
          
        }
        if ((typeof  _this.y!=="number")||_this.y!==_this.y) {
          _this.y=Tonyu.globals.$screenHeight-_this.outerRadius-_this.innerRadius;
          
        }
        _this.touched=0;
        _this.ix=_this.x;
        _this.iy=_this.y;
      },
      __getter__defaultLayer :function _trc_APadN___getter__defaultLayer() {
        "use strict";
        var _this=this;
        
        return Tonyu.globals.$frontLayer;
      },
      draw :function _trc_APadN_draw(ctx) {
        "use strict";
        var _this=this;
        var gradient;
        
        if (_this.auto) {
          _this.ix=_this.x+_this.vx*_this.outerRadius;
          _this.iy=_this.y+_this.vy*_this.outerRadius;
          
        }
        ctx.globalAlpha=_this.alpha/255;
        gradient = ctx.createRadialGradient(_this.ix,_this.iy,_this.innerRadius/2,_this.ix,_this.iy,_this.innerRadius);
        
        gradient.addColorStop(0,'rgba(255,255,255,0)');
        gradient.addColorStop(1,_this.fillStyle);
        ctx.fillStyle=gradient;
        ctx.beginPath();
        ctx.arc(_this.ix,_this.iy,_this.innerRadius*(_this.speed+1)/2,0,Tonyu.globals.$Math.PI*2);
        ctx.closePath();
        ctx.fill();
        ctx.strokeStyle=_this.strokeStyle;
        ctx.beginPath();
        ctx.arc(_this.x,_this.y,_this.outerRadius,0,Tonyu.globals.$Math.PI*2);
        ctx.closePath();
        ctx.stroke();
      },
      findTouch :function _trc_APadN_findTouch() {
        "use strict";
        var _this=this;
        var t;
        var _it_8360;
        
        _it_8360=Tonyu.iterator(Tonyu.globals.$touches,1);
        while(_it_8360.next()) {
          t=_it_8360[0];
          
          if ((! _this.touchRadius||_this.dist(t)<_this.touchRadius)&&t.touched==1) {
            return t;
            
          }
          
        }
      },
      loop :function _trc_APadN_loop() {
        "use strict";
        var _this=this;
        var vx;
        var vy;
        
        vx = 0;
        vy = 0;
        
        while (true) {
          Tonyu.checkLoop();
          if (! _this.t||_this.t.ended) {
            _this.t=_this.findTouch();
          }
          if (_this.t) {
            _this.touched=_this.t.touched;
            if (_this.t.touched==1) {
              _this.x=_this.t.x;
              _this.y=_this.t.y;
              _this.alpha=255;
              
            }
            vx=(_this.t.x-_this.x);
            vy=(_this.t.y-_this.y);
            
          } else {
            if (_this.touched>=1) {
              _this.touched=- 1;
              
            } else {
              _this.touched=0;
              
            }
            _this.alpha*=0.7;
            if (_this.alpha<0) {
              _this.alpha=0;
            }
            vx*=_this.decay;
            vy*=_this.decay;
            
          }
          if (_this.getkey(_this.leftKey)) {
            vx-=_this.keySpeed*_this.outerRadius;
          }
          if (_this.getkey(_this.rightKey)) {
            vx+=_this.keySpeed*_this.outerRadius;
          }
          if (_this.getkey(_this.upKey)) {
            vy-=_this.keySpeed*_this.outerRadius;
          }
          if (_this.getkey(_this.downKey)) {
            vy+=_this.keySpeed*_this.outerRadius;
          }
          _this.d=_this.dist(vx,vy);
          if (_this.d>_this.outerRadius) {
            vx=vx/_this.d*_this.outerRadius;
            vy=vy/_this.d*_this.outerRadius;
            
          }
          _this.ix=_this.x+vx;
          _this.iy=_this.y+vy;
          _this.vx=_this.clamp(vx/_this.outerRadius,- 1,1);
          _this.vy=_this.clamp(vy/_this.outerRadius,- 1,1);
          _this.update();
          
        }
      },
      fiber$loop :function _trc_APadN_f_loop(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var vx;
        var vy;
        
        vx = 0;
        vy = 0;
        
        
        _thread.enter(function _trc_APadN_ent_loop(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (! _this.t||_this.t.ended) {
                _this.t=_this.findTouch();
              }
              if (_this.t) {
                _this.touched=_this.t.touched;
                if (_this.t.touched==1) {
                  _this.x=_this.t.x;
                  _this.y=_this.t.y;
                  _this.alpha=255;
                  
                }
                vx=(_this.t.x-_this.x);
                vy=(_this.t.y-_this.y);
                
              } else {
                if (_this.touched>=1) {
                  _this.touched=- 1;
                  
                } else {
                  _this.touched=0;
                  
                }
                _this.alpha*=0.7;
                if (_this.alpha<0) {
                  _this.alpha=0;
                }
                vx*=_this.decay;
                vy*=_this.decay;
                
              }
              if (_this.getkey(_this.leftKey)) {
                vx-=_this.keySpeed*_this.outerRadius;
              }
              if (_this.getkey(_this.rightKey)) {
                vx+=_this.keySpeed*_this.outerRadius;
              }
              if (_this.getkey(_this.upKey)) {
                vy-=_this.keySpeed*_this.outerRadius;
              }
              if (_this.getkey(_this.downKey)) {
                vy+=_this.keySpeed*_this.outerRadius;
              }
              _this.d=_this.dist(vx,vy);
              if (_this.d>_this.outerRadius) {
                vx=vx/_this.d*_this.outerRadius;
                vy=vy/_this.d*_this.outerRadius;
                
              }
              _this.ix=_this.x+vx;
              _this.iy=_this.y+vy;
              _this.vx=_this.clamp(vx/_this.outerRadius,- 1,1);
              _this.vy=_this.clamp(vy/_this.outerRadius,- 1,1);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __getter__speed :function _trc_APadN___getter__speed() {
        "use strict";
        var _this=this;
        
        return _this.sqrt(_this.vx*_this.vx+_this.vy*_this.vy);
      },
      __getter__direction :function _trc_APadN___getter__direction() {
        "use strict";
        var _this=this;
        
        return _this.atanxy(_this.vx,_this.vy);
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"__getter__defaultLayer":{"nowait":true},"draw":{"nowait":true},"findTouch":{"nowait":true},"loop":{"nowait":false},"__getter__speed":{"nowait":true},"__getter__direction":{"nowait":true}},"fields":{"auto":{},"vx":{},"vy":{},"outerRadius":{},"strokeStyle":{},"innerRadius":{},"keys":{},"leftKey":{},"rightKey":{},"upKey":{},"downKey":{},"keySpeed":{},"decay":{},"velocity":{},"ix":{},"iy":{},"touchRadius":{},"t":{},"d":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Ball',
  shortName: 'Ball',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Ball_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.loop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_Ball_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Ball_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=4     ; break; }
              _this.fiber$loop(_thread);
              __pc=2;return;
            case 2:
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_Ball_initialize(o) {
        "use strict";
        var _this=this;
        
        o.shape="circle";
        o.density=o.density?o.density:1;
        o.friction=o.friction?o.friction:0;
        o.restitution=o.restitution?o.restitution:0.98;
        __superClass.apply( _this, [o]);
        _this.p=o.p?o.p:18;
        _this.slip=o.slip!=null?o.slip:0.985;
        _this.baseScale=_this.scaleX;
        _this.on("die",(function anonymous_412() {
          
          new Tonyu.classes.user.FxDie({x: _this.x,y: _this.y});
        }));
      },
      spd :function _trc_Ball_spd() {
        "use strict";
        var _this=this;
        
        return _this.abs(_this.vx)+_this.abs(_this.vy);
      },
      fiber$spd :function _trc_Ball_f_spd(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.abs(_this.vx)+_this.abs(_this.vy);return;
        
        
        _thread.retVal=_this;return;
      },
      loop :function _trc_Ball_loop() {
        "use strict";
        var _this=this;
        var v;
        var t;
        
        _this.vx*=_this.slip;
        _this.vy*=_this.slip;
        v = Tonyu.globals.$Stage.Slope(_this);
        
        _this.vx+=v.x*_this.density;
        _this.vy+=v.y*_this.density;
        if (_this.screenOut(- Tonyu.globals.$Stage.outZone)) {
          _this.die();
          
        }
        Tonyu.globals.$Stage.Gimmick(_this);
        t = _this.contactTo(Tonyu.classes.user.Ball);
        
        if (t&&! _this.isHitOtherBall&&! t.isHitOtherBall) {
          t.isHitOtherBall=true;
          _this.isHitOtherBall=true;
          if (_this.spd()>5||t.spd()>5) {
            if (_this==Tonyu.globals.$Stage.mainBall&&_this.spd()>5||t==Tonyu.globals.$Stage.mainBall&&t.spd()>5) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton3,_this.clamp(Tonyu.globals.$Math.max(_this.spd(),t.spd())*8,0,100));
              
            } else {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton,_this.clamp(Tonyu.globals.$Math.max(_this.spd(),t.spd())*8,0,100));
              
            }
            
          }
          
        }
        _this.isHitOtherBall=false;
        if (_this.contactTo(Tonyu.classes.user.Wall)) {
          if (_this==Tonyu.globals.$Stage.mainBall) {
            if (_this.spd()<12) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton,_this.clamp(_this.spd()*8+10,0,100));
              
            } else {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton2,_this.clamp(_this.spd()*8,0,100));
            }
            
          } else {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton2,_this.clamp(_this.spd()*10+10,0,128));
            
          }
          
        }
      },
      fiber$loop :function _trc_Ball_f_loop(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var v;
        var t;
        
        _this.vx*=_this.slip;
        _this.vy*=_this.slip;
        v = Tonyu.globals.$Stage.Slope(_this);
        
        _this.vx+=v.x*_this.density;
        _this.vy+=v.y*_this.density;
        if (_this.screenOut(- Tonyu.globals.$Stage.outZone)) {
          _this.die();
          
        }
        Tonyu.globals.$Stage.Gimmick(_this);
        
        _thread.enter(function _trc_Ball_ent_loop(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$contactTo(_thread, Tonyu.classes.user.Ball);
              __pc=1;return;
            case 1:
              t=_thread.retVal;
              
              if (t&&! _this.isHitOtherBall&&! t.isHitOtherBall) {
                t.isHitOtherBall=true;
                _this.isHitOtherBall=true;
                if (_this.spd()>5||t.spd()>5) {
                  if (_this==Tonyu.globals.$Stage.mainBall&&_this.spd()>5||t==Tonyu.globals.$Stage.mainBall&&t.spd()>5) {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton3,_this.clamp(Tonyu.globals.$Math.max(_this.spd(),t.spd())*8,0,100));
                    
                  } else {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton,_this.clamp(Tonyu.globals.$Math.max(_this.spd(),t.spd())*8,0,100));
                    
                  }
                  
                }
                
              }
              _this.isHitOtherBall=false;
              if (_this.contactTo(Tonyu.classes.user.Wall)) {
                if (_this==Tonyu.globals.$Stage.mainBall) {
                  if (_this.spd()<12) {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton,_this.clamp(_this.spd()*8+10,0,100));
                    
                  } else {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton2,_this.clamp(_this.spd()*8,0,100));
                  }
                  
                } else {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton2,_this.clamp(_this.spd()*10+10,0,128));
                  
                }
                
              }
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"spd":{"nowait":false},"loop":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Controller',
  shortName: 'Controller',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Controller_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Controller_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_Controller_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.right=0;
        _this.left=0;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Enemy_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_Enemy_initialize(o) {
        "use strict";
        var _this=this;
        
        o.shape="circle";
        o.density=o.density?o.density:100;
        o.friction=o.friction?o.friction:0;
        o.restitution=o.restitution?o.restitution:1;
        __superClass.apply( _this, [o]);
        _this.p=o.p?o.p:12;
        _this.scaleX=o.scaleX?o.scaleX:2;
        _this.on("die",(function anonymous_347() {
          
          Tonyu.globals.$score++;
          new Tonyu.classes.user.FxDie({x: _this.x,y: _this.y});
          new Tonyu.classes.user.FxBreakScore({x: _this.x,y: _this.y-50,score: Tonyu.globals.$score,scaleX: 0.5});
          Tonyu.globals.$enemyCnt--;
          Tonyu.globals.$Stage.spawnTime+=150;
        }));
        if (Tonyu.globals.$enemyCnt==null) {
          Tonyu.globals.$enemyCnt=0;
        }
        Tonyu.globals.$enemyCnt++;
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_blip);
      },
      moveUpd :function _trc_Enemy_moveUpd() {
        "use strict";
        var _this=this;
        
        _this.vx*=0.95;
        _this.vy*=0.95;
      },
      fiber$moveUpd :function _trc_Enemy_f_moveUpd(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.vx*=0.95;
        _this.vy*=0.95;
        
        _thread.retVal=_this;return;
      },
      hitUpd :function _trc_Enemy_hitUpd() {
        "use strict";
        var _this=this;
        var t;
        
        t = _this.contactTo(Tonyu.classes.user.Ball);
        
        if (t) {
          if (t==Tonyu.globals.$Stage.mainBall) {
            _this.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru);
            
          } else {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton3,_this.clamp(t.spd()*10+10,0,128));
            t.baseScale-=0.25;
            if (t.baseScale<0.3) {
              t.die();
            }
            
          }
          
        }
      },
      fiber$hitUpd :function _trc_Enemy_f_hitUpd(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var t;
        
        
        _thread.enter(function _trc_Enemy_ent_hitUpd(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$contactTo(_thread, Tonyu.classes.user.Ball);
              __pc=1;return;
            case 1:
              t=_thread.retVal;
              
              if (t) {
                if (t==Tonyu.globals.$Stage.mainBall) {
                  _this.die();
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru);
                  
                } else {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton3,_this.clamp(t.spd()*10+10,0,128));
                  t.baseScale-=0.25;
                  if (t.baseScale<0.3) {
                    t.die();
                  }
                  
                }
                
              }
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"moveUpd":{"nowait":false},"hitUpd":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.FxDie',
  shortName: 'FxDie',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxDie_main() {
        "use strict";
        var _this=this;
        
        _this.i = 0;
        for (; _this.i<4 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.FxParticle({x: _this.x,y: _this.y,vx: (Tonyu.globals.$Random.next01()-0.5)*10,vy: (Tonyu.globals.$Random.next01()-0.5)*10,t: Tonyu.globals.$Random.nextInt(80,160),radius: Tonyu.globals.$Random.nextInt(8,24)});
          }
        }
        _this.die();
      },
      fiber$main :function _trc_FxDie_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.i = 0;
        for (; _this.i<4 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.FxParticle({x: _this.x,y: _this.y,vx: (Tonyu.globals.$Random.next01()-0.5)*10,vy: (Tonyu.globals.$Random.next01()-0.5)*10,t: Tonyu.globals.$Random.nextInt(80,160),radius: Tonyu.globals.$Random.nextInt(8,24)});
          }
        }
        _this.die();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxParticle',
  shortName: 'FxParticle',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxParticle_main() {
        "use strict";
        var _this=this;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.maxt = _this.t;
        
        _this.vx*=_this.radius/16;
        _this.vy*=_this.radius/16;
        while (_this.t) {
          Tonyu.checkLoop();
          _this.vx*=0.96;
          _this.vy*=0.96;
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.scaleX=2-2/(1+Tonyu.globals.$Math.pow(Tonyu.globals.$Math.E,- 10*(1-_this.t/_this.maxt)));
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_FxParticle_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.maxt = _this.t;
        
        _this.vx*=_this.radius/16;
        _this.vy*=_this.radius/16;
        
        _thread.enter(function _trc_FxParticle_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t)) { __pc=3     ; break; }
              _this.vx*=0.96;
              _this.vy*=0.96;
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.scaleX=2-2/(1+Tonyu.globals.$Math.pow(Tonyu.globals.$Math.E,- 10*(1-_this.t/_this.maxt)));
              _this.t--;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"maxt":{},"t":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxScore',
  shortName: 'FxScore',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxScore_main() {
        "use strict";
        var _this=this;
        
        _this.die();
        new Tonyu.classes.user.FxScoreValue({x: 200,y: 300,value: 10});
        new Tonyu.classes.user.FxScoreValue({x: 300,y: 300,value: 10});
        new Tonyu.classes.user.FxScoreValue({x: 400,y: 300,value: 10});
      },
      fiber$main :function _trc_FxScore_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.die();
        new Tonyu.classes.user.FxScoreValue({x: 200,y: 300,value: 10});
        new Tonyu.classes.user.FxScoreValue({x: 300,y: 300,value: 10});
        new Tonyu.classes.user.FxScoreValue({x: 400,y: 300,value: 10});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.FxScoreValue',
  shortName: 'FxScoreValue',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxScoreValue_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_num+_this.value;
        _this.scaleX*=0.75;
        _this.zOrder-=1;
        _this.scaleBase = _this.scaleX;
        
        _this.y+=60;
        _this.t = 0;
        for (; _this.t<20 ; _this.t++) {
          Tonyu.checkLoop();
          {
            _this.y-=3;
            _this.update();
          }
        }
        _this.t = 0;
        for (; _this.t<50 ; _this.t++) {
          Tonyu.checkLoop();
          {
            _this.update();
          }
        }
        _this.t = 1;
        for (; _this.t<10 ; _this.t++) {
          Tonyu.checkLoop();
          {
            _this.scaleX=(1+_this.t/10)*_this.scaleBase;
            _this.update();
          }
        }
        _this.t = 1;
        for (; _this.t<20 ; _this.t++) {
          Tonyu.checkLoop();
          {
            _this.scaleX=(2-_this.t/10)*_this.scaleBase;
            _this.update();
          }
        }
        _this.die();
      },
      fiber$main :function _trc_FxScoreValue_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_num+_this.value;
        _this.scaleX*=0.75;
        _this.zOrder-=1;
        _this.scaleBase = _this.scaleX;
        
        _this.y+=60;
        
        _thread.enter(function _trc_FxScoreValue_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.t = 0;
              
            case 1:
              if (!(_this.t<20)) { __pc=4     ; break; }
              _this.y-=3;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.t++;
              __pc=1;break;
            case 4     :
              
              _this.t = 0;
              
            case 5:
              if (!(_this.t<50)) { __pc=8     ; break; }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
            case 7     :
              _this.t++;
              __pc=5;break;
            case 8     :
              
              _this.t = 1;
              
            case 9:
              if (!(_this.t<10)) { __pc=12    ; break; }
              _this.scaleX=(1+_this.t/10)*_this.scaleBase;
              _this.fiber$update(_thread);
              __pc=10;return;
            case 10:
              
            case 11    :
              _this.t++;
              __pc=9;break;
            case 12    :
              
              _this.t = 1;
              
            case 13:
              if (!(_this.t<20)) { __pc=16    ; break; }
              _this.scaleX=(2-_this.t/10)*_this.scaleBase;
              _this.fiber$update(_thread);
              __pc=14;return;
            case 14:
              
            case 15    :
              _this.t++;
              __pc=13;break;
            case 16    :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"scaleBase":{},"t":{},"value":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameMain',
  shortName: 'GameMain',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameMain_main() {
        "use strict";
        var _this=this;
        var _it_8368;
        
        Tonyu.globals.$PlayerController=new Tonyu.classes.user.PlayerController();
        Tonyu.globals.$Stage=new Tonyu.classes.user.GameStage({});
        Tonyu.globals.$Stage.Init();
        Tonyu.globals.$Stage.Restart();
        Tonyu.globals.$score=0;
        _this.score = [0,0];
        
        while (1) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$Stage.mainBall.isDead()) {
            _it_8368=Tonyu.iterator(_this.all(Tonyu.classes.user.Ball),1);
            while(_it_8368.next()) {
              _this.b=_it_8368[0];
              
              _this.b.die();
              
            }
            if (Tonyu.globals.$Stage.mainBall.x>300) {
              _this.score[0]++;
              
            } else {
              _this.score[1]++;
              
            }
            new Tonyu.classes.user.FxScore({score: _this.score});
            Tonyu.globals.$Stage.Restart();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_GameMain_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_8368;
        
        Tonyu.globals.$PlayerController=new Tonyu.classes.user.PlayerController();
        Tonyu.globals.$Stage=new Tonyu.classes.user.GameStage({});
        Tonyu.globals.$Stage.Init();
        Tonyu.globals.$Stage.Restart();
        Tonyu.globals.$score=0;
        _this.score = [0,0];
        
        
        _thread.enter(function _trc_GameMain_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (Tonyu.globals.$Stage.mainBall.isDead()) {
                _it_8368=Tonyu.iterator(_this.all(Tonyu.classes.user.Ball),1);
                while(_it_8368.next()) {
                  _this.b=_it_8368[0];
                  
                  _this.b.die();
                  
                }
                if (Tonyu.globals.$Stage.mainBall.x>300) {
                  _this.score[0]++;
                  
                } else {
                  _this.score[1]++;
                  
                }
                new Tonyu.classes.user.FxScore({score: _this.score});
                Tonyu.globals.$Stage.Restart();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"score":{},"b":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameStage',
  shortName: 'GameStage',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameStage_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          if (_this.spawnTime>_this.spawnTimeMax) {
            if (Tonyu.globals.$enemyCnt<5) {
              _this.spawnEnemy();
              _this.spawnTime-=300;
              
            }
            
          } else {
            _this.spawnTime++;
            
          }
          if (Tonyu.globals.$enemyCnt==0) {
            _this.spawnEnemy();
            _this.spawnTime=0;
            
          }
          _this.t++;
          _this.update();
          
        }
      },
      fiber$main :function _trc_GameStage_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_GameStage_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=9     ; break; }
              if (!(_this.spawnTime>_this.spawnTimeMax)) { __pc=4     ; break; }
              if (!(Tonyu.globals.$enemyCnt<5)) { __pc=3     ; break; }
              _this.fiber$spawnEnemy(_thread);
              __pc=2;return;
            case 2:
              
              _this.spawnTime-=300;
            case 3     :
              
              __pc=5     ;break;
            case 4     :
              {
                _this.spawnTime++;
              }
            case 5     :
              
              if (!(Tonyu.globals.$enemyCnt==0)) { __pc=7     ; break; }
              _this.fiber$spawnEnemy(_thread);
              __pc=6;return;
            case 6:
              
              _this.spawnTime=0;
            case 7     :
              
              _this.t++;
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=1;break;
            case 9     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_GameStage_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.width=Tonyu.globals.$screenWidth;
        _this.height=Tonyu.globals.$screenHeight;
        _this.centerX=_this.width/2;
        _this.centerY=_this.height/2;
        _this.fallPow=0.03;
        _this.wallType=2;
        _this.slopeRadius=64;
        _this.slopeRate=0.1;
        _this.slopeType=2;
        _this.gimmickType=1;
        _this.gimmickValues=[24];
        _this.outZone=16;
        _this.t=0;
        _this.spawnTime=0;
        _this.spawnTimeMax=300;
        _this.newMainBall({x: 300,y: 300,vx: 0,vy: 0,density: 0.8});
      },
      newMainBall :function _trc_GameStage_newMainBall(o) {
        "use strict";
        var _this=this;
        
        o.density=1;
        o.p=13;
        o.slip=0.99;
        _this.mainBall=new Tonyu.classes.user.Ball(o);
      },
      fiber$newMainBall :function _trc_GameStage_f_newMainBall(_thread,o) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        o.density=1;
        o.p=13;
        o.slip=0.99;
        _this.mainBall=new Tonyu.classes.user.Ball(o);
        
        _thread.retVal=_this;return;
      },
      draw :function _trc_GameStage_draw(ctx) {
        "use strict";
        var _this=this;
        var l;
        
        l = _this.outZone*2;
        
        ctx.fillStyle="rgba(255,255,255,0.2)";
        ctx.fillRect(l,250,(600-l*2)*(_this.spawnTime/_this.spawnTimeMax),100);
        ctx.strokeStyle="white";
        ctx.strokeRect(l,l,600-l*2,600-l*2);
        ctx.beginPath();
        ctx.arc(300,300,_this.slopeRadius,0,2*Tonyu.globals.$Math.PI);
        ctx.stroke();
        if (_this.gimmickType==1) {
          ctx.beginPath();
          ctx.arc(_this.cos(_this.t*3)*20+_this.centerX,_this.sin(_this.t*3)*20+_this.centerY,_this.gimmickValues[0],0,2*Tonyu.globals.$Math.PI);
          ctx.stroke();
          
        }
      },
      Slope :function _trc_GameStage_Slope(t) {
        "use strict";
        var _this=this;
        var dir;
        var d;
        var x;
        var y;
        
        dir = _this.atanxy(t.x-_this.centerX,t.y-_this.centerY);
        
        d = _this.dist(_this.centerX-t.x,_this.centerY-t.y);
        
        x = 0;
        
        y = 0;
        
        if (_this.slopeType==0) {
          x=d>_this.slopeRadius?_this.slopeRate*_this.cos(dir):_this.slopeRate*_this.cos(dir)*d/_this.slopeRadius;
          y=d>_this.slopeRadius?_this.slopeRate*_this.sin(dir):_this.slopeRate*_this.sin(dir)*d/_this.slopeRadius;
          
        } else {
          if (_this.slopeType==1) {
            x=d>_this.slopeRadius?_this.slopeRate*_this.cos(dir):- _this.slopeRate*_this.cos(dir)*d/_this.slopeRadius;
            y=d>_this.slopeRadius?_this.slopeRate*_this.sin(dir):- _this.slopeRate*_this.sin(dir)*d/_this.slopeRadius;
            
          } else {
            if (_this.slopeType==2) {
              x=d>_this.slopeRadius?- _this.slopeRate*_this.cos(dir)/2.5:- _this.slopeRate*_this.cos(dir)*d/_this.slopeRadius;
              y=d>_this.slopeRadius?- _this.slopeRate*_this.sin(dir)/2.5:- _this.slopeRate*_this.sin(dir)*d/_this.slopeRadius;
              
            }
          }
        }
        return {x: x,y: y};
      },
      fiber$Slope :function _trc_GameStage_f_Slope(_thread,t) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var dir;
        var d;
        var x;
        var y;
        
        dir = _this.atanxy(t.x-_this.centerX,t.y-_this.centerY);
        
        d = _this.dist(_this.centerX-t.x,_this.centerY-t.y);
        
        x = 0;
        
        y = 0;
        
        if (_this.slopeType==0) {
          x=d>_this.slopeRadius?_this.slopeRate*_this.cos(dir):_this.slopeRate*_this.cos(dir)*d/_this.slopeRadius;
          y=d>_this.slopeRadius?_this.slopeRate*_this.sin(dir):_this.slopeRate*_this.sin(dir)*d/_this.slopeRadius;
          
        } else {
          if (_this.slopeType==1) {
            x=d>_this.slopeRadius?_this.slopeRate*_this.cos(dir):- _this.slopeRate*_this.cos(dir)*d/_this.slopeRadius;
            y=d>_this.slopeRadius?_this.slopeRate*_this.sin(dir):- _this.slopeRate*_this.sin(dir)*d/_this.slopeRadius;
            
          } else {
            if (_this.slopeType==2) {
              x=d>_this.slopeRadius?- _this.slopeRate*_this.cos(dir)/2.5:- _this.slopeRate*_this.cos(dir)*d/_this.slopeRadius;
              y=d>_this.slopeRadius?- _this.slopeRate*_this.sin(dir)/2.5:- _this.slopeRate*_this.sin(dir)*d/_this.slopeRadius;
              
            }
          }
        }
        _thread.retVal={x: x,y: y};return;
        
        
        _thread.retVal=_this;return;
      },
      Gimmick :function _trc_GameStage_Gimmick(ball) {
        "use strict";
        var _this=this;
        var d;
        
        d = _this.dist(_this.cos(_this.t*3)*20+_this.centerX-ball.x,_this.sin(_this.t*3)*20+_this.centerY-ball.y);
        
        if (_this.gimmickType==1) {
          if (d<_this.gimmickValues[0]&&ball!=_this.mainBall) {
            ball.scaleX*=0.925;
            if (ball.scaleX<0.3) {
              ball.die();
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru4,100);
              
            }
            
          } else {
            ball.scaleX=ball.baseScale;
            
          }
          
        }
      },
      fiber$Gimmick :function _trc_GameStage_f_Gimmick(_thread,ball) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var d;
        
        d = _this.dist(_this.cos(_this.t*3)*20+_this.centerX-ball.x,_this.sin(_this.t*3)*20+_this.centerY-ball.y);
        
        if (_this.gimmickType==1) {
          if (d<_this.gimmickValues[0]&&ball!=_this.mainBall) {
            ball.scaleX*=0.925;
            if (ball.scaleX<0.3) {
              ball.die();
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru4,100);
              
            }
            
          } else {
            ball.scaleX=ball.baseScale;
            
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      Init :function _trc_GameStage_Init() {
        "use strict";
        var _this=this;
        var sp;
        
        if (_this.wallType==2) {
          new Tonyu.classes.user.Wall({x: 300,y: 0,scaleX: 15,scaleY: 0.5,rotation: 0});
          new Tonyu.classes.user.Wall({x: 0,y: 300,scaleX: 0.5,scaleY: 15,rotation: 0});
          new Tonyu.classes.user.Wall({x: 300,y: 600,scaleX: 15,scaleY: 0.5,rotation: 0});
          new Tonyu.classes.user.Wall({x: 600,y: 300,scaleX: 0.5,scaleY: 15,rotation: 0});
          sp = 30;
          
          new Tonyu.classes.user.Wall({x: sp,y: sp,scaleX: 5,scaleY: 0.5,rotation: - 45});
          new Tonyu.classes.user.Wall({x: sp,y: 600-sp,scaleX: 0.5,scaleY: 5,rotation: - 45});
          new Tonyu.classes.user.Wall({x: 600-sp,y: sp,scaleX: 5,scaleY: 0.5,rotation: 45});
          new Tonyu.classes.user.Wall({x: 600-sp,y: 600-sp,scaleX: 0.5,scaleY: 5,rotation: 45});
          
        } else {
          new Tonyu.classes.user.Wall({x: 170,y: 0,scaleX: 8,scaleY: 0.5,rotation: 5});
          new Tonyu.classes.user.Wall({x: 430,y: 0,scaleX: 8,scaleY: 0.5,rotation: - 5});
          new Tonyu.classes.user.Wall({x: 170,y: 600,scaleX: 8,scaleY: 0.5,rotation: - 5});
          new Tonyu.classes.user.Wall({x: 430,y: 600,scaleX: 8,scaleY: 0.5,rotation: 5});
          new Tonyu.classes.user.Wall({x: 0,y: 160,scaleX: 0.5,scaleY: 7,rotation: - 10});
          new Tonyu.classes.user.Wall({x: 0,y: 440,scaleX: 0.5,scaleY: 7,rotation: 10});
          new Tonyu.classes.user.Wall({x: 11,y: 300,scaleX: 1,scaleY: 2});
          new Tonyu.classes.user.Wall({x: 600,y: 160,scaleX: 0.5,scaleY: 7,rotation: 10});
          new Tonyu.classes.user.Wall({x: 600,y: 440,scaleX: 0.5,scaleY: 7,rotation: - 10});
          new Tonyu.classes.user.Wall({x: 589,y: 300,scaleX: 1,scaleY: 2});
          
        }
        new Tonyu.classes.user.PlayerShooter({x: 50,y: 50,p: 0});
        new Tonyu.classes.user.PlayerShooter({x: 550,y: 50,p: 0});
        new Tonyu.classes.user.PlayerShooter({x: 550,y: 550,p: 0});
        new Tonyu.classes.user.PlayerShooter({x: 50,y: 550,p: 0});
        _this.spawnEnemy();
      },
      fiber$Init :function _trc_GameStage_f_Init(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var sp;
        
        if (_this.wallType==2) {
          new Tonyu.classes.user.Wall({x: 300,y: 0,scaleX: 15,scaleY: 0.5,rotation: 0});
          new Tonyu.classes.user.Wall({x: 0,y: 300,scaleX: 0.5,scaleY: 15,rotation: 0});
          new Tonyu.classes.user.Wall({x: 300,y: 600,scaleX: 15,scaleY: 0.5,rotation: 0});
          new Tonyu.classes.user.Wall({x: 600,y: 300,scaleX: 0.5,scaleY: 15,rotation: 0});
          sp = 30;
          
          new Tonyu.classes.user.Wall({x: sp,y: sp,scaleX: 5,scaleY: 0.5,rotation: - 45});
          new Tonyu.classes.user.Wall({x: sp,y: 600-sp,scaleX: 0.5,scaleY: 5,rotation: - 45});
          new Tonyu.classes.user.Wall({x: 600-sp,y: sp,scaleX: 5,scaleY: 0.5,rotation: 45});
          new Tonyu.classes.user.Wall({x: 600-sp,y: 600-sp,scaleX: 0.5,scaleY: 5,rotation: 45});
          
        } else {
          new Tonyu.classes.user.Wall({x: 170,y: 0,scaleX: 8,scaleY: 0.5,rotation: 5});
          new Tonyu.classes.user.Wall({x: 430,y: 0,scaleX: 8,scaleY: 0.5,rotation: - 5});
          new Tonyu.classes.user.Wall({x: 170,y: 600,scaleX: 8,scaleY: 0.5,rotation: - 5});
          new Tonyu.classes.user.Wall({x: 430,y: 600,scaleX: 8,scaleY: 0.5,rotation: 5});
          new Tonyu.classes.user.Wall({x: 0,y: 160,scaleX: 0.5,scaleY: 7,rotation: - 10});
          new Tonyu.classes.user.Wall({x: 0,y: 440,scaleX: 0.5,scaleY: 7,rotation: 10});
          new Tonyu.classes.user.Wall({x: 11,y: 300,scaleX: 1,scaleY: 2});
          new Tonyu.classes.user.Wall({x: 600,y: 160,scaleX: 0.5,scaleY: 7,rotation: 10});
          new Tonyu.classes.user.Wall({x: 600,y: 440,scaleX: 0.5,scaleY: 7,rotation: - 10});
          new Tonyu.classes.user.Wall({x: 589,y: 300,scaleX: 1,scaleY: 2});
          
        }
        new Tonyu.classes.user.PlayerShooter({x: 50,y: 50,p: 0});
        new Tonyu.classes.user.PlayerShooter({x: 550,y: 50,p: 0});
        new Tonyu.classes.user.PlayerShooter({x: 550,y: 550,p: 0});
        new Tonyu.classes.user.PlayerShooter({x: 50,y: 550,p: 0});
        
        _thread.enter(function _trc_GameStage_ent_Init(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$spawnEnemy(_thread);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Restart :function _trc_GameStage_Restart() {
        "use strict";
        var _this=this;
        var dir;
        var vx;
        var vy;
        var y;
        
        dir = Tonyu.globals.$Random.next01()<0.5?90:270;
        
        dir+=Tonyu.globals.$Random.next01()*10-5;
        vx = _this.cos(dir)*(3+Tonyu.globals.$Random.next01());
        
        vy = _this.sin(dir)*(3+Tonyu.globals.$Random.next01());
        
        y = vy<0?400:200;
        
        _this.newMainBall({x: 300,y: y,vx: vx,vy: vy});
      },
      fiber$Restart :function _trc_GameStage_f_Restart(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var dir;
        var vx;
        var vy;
        var y;
        
        dir = Tonyu.globals.$Random.next01()<0.5?90:270;
        
        dir+=Tonyu.globals.$Random.next01()*10-5;
        vx = _this.cos(dir)*(3+Tonyu.globals.$Random.next01());
        
        vy = _this.sin(dir)*(3+Tonyu.globals.$Random.next01());
        
        y = vy<0?400:200;
        
        
        _thread.enter(function _trc_GameStage_ent_Restart(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$newMainBall(_thread, {x: 300,y: y,vx: vx,vy: vy});
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      spawnEnemy :function _trc_GameStage_spawnEnemy() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.user.EnemyA({x: _this.rnd(500)+50,y: _this.rnd(500)+50});
      },
      fiber$spawnEnemy :function _trc_GameStage_f_spawnEnemy(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.user.EnemyA({x: _this.rnd(500)+50,y: _this.rnd(500)+50});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"newMainBall":{"nowait":false},"draw":{"nowait":true},"Slope":{"nowait":false},"Gimmick":{"nowait":false},"Init":{"nowait":false},"Restart":{"nowait":false},"spawnEnemy":{"nowait":false}},"fields":{"t":{},"slopeRadius":{},"gimmickType":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("#333");
        Tonyu.globals.$Screen.resize(600,600);
        Tonyu.globals.$Random=new Tonyu.classes.kernel.Random();
        new Tonyu.classes.kernel.T2World({gravity: 0});
        Tonyu.globals.$GameMain=new Tonyu.classes.user.GameMain();
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.setBGColor("#333");
        Tonyu.globals.$Screen.resize(600,600);
        Tonyu.globals.$Random=new Tonyu.classes.kernel.Random();
        new Tonyu.classes.kernel.T2World({gravity: 0});
        Tonyu.globals.$GameMain=new Tonyu.classes.user.GameMain();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.pad=_this.cont.pad;
        while (1) {
          Tonyu.checkLoop();
          if (_this.getkey("right")>0) {
            _this.mShooter.rotation+=3;
          }
          if (_this.getkey("left")>0) {
            _this.mShooter.rotation-=3;
          }
          if (_this.getkey("space")==1) {
            _this.mShooter.Shot();
          }
          if (_this.pad.touched) {
            _this.mShooter=_this.all(Tonyu.classes.user.PlayerShooter).nearest(_this.pad.x,_this.pad.y);
            _this.v = _this.abs(_this.pad.vx)+_this.abs(_this.pad.vy);
            
            if (_this.v>0.1) {
              _this.dir = _this.atanxy(_this.pad.vx,_this.pad.vy);
              
              _this.d = _this.angleDiff(_this.rotation,_this.dir);
              
              _this.mShooter.rotation-=_this.d*_this.v/4;
              
            }
            
          }
          if (_this.pad.touched==- 1) {
            _this.mShooter.Shot();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.pad=_this.cont.pad;
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (_this.getkey("right")>0) {
                _this.mShooter.rotation+=3;
              }
              if (_this.getkey("left")>0) {
                _this.mShooter.rotation-=3;
              }
              if (_this.getkey("space")==1) {
                _this.mShooter.Shot();
              }
              if (_this.pad.touched) {
                _this.mShooter=_this.all(Tonyu.classes.user.PlayerShooter).nearest(_this.pad.x,_this.pad.y);
                _this.v = _this.abs(_this.pad.vx)+_this.abs(_this.pad.vy);
                
                if (_this.v>0.1) {
                  _this.dir = _this.atanxy(_this.pad.vx,_this.pad.vy);
                  
                  _this.d = _this.angleDiff(_this.rotation,_this.dir);
                  
                  _this.mShooter.rotation-=_this.d*_this.v/4;
                  
                }
                
              }
              if (_this.pad.touched==- 1) {
                _this.mShooter.Shot();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"v":{},"dir":{},"d":{},"pad":{},"cont":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PlayerController',
  shortName: 'PlayerController',
  namespace: 'user',
  superclass: Tonyu.classes.user.Controller,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PlayerController_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          if (_this.mShooter) {
            if (_this.getkey("right")>0) {
              _this.mShooter.rotation+=3;
            }
            if (_this.getkey("left")>0) {
              _this.mShooter.rotation-=3;
            }
            if (_this.getkey("space")==1) {
              _this.mShooter.Shot();
            }
            
          }
          if (_this.pad.touched) {
            if (_this.pad.touched==1) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click,50);
            }
            if (_this.mShooter) {
              _this.mShooter.p=0;
            }
            _this.mShooter=_this.all(Tonyu.classes.user.PlayerShooter).nearest(_this.pad.x,_this.pad.y);
            _this.mShooter.p=8;
            _this.v = _this.abs(_this.pad.vx)+_this.abs(_this.pad.vy);
            
            if (_this.v>0.1) {
              _this.dir = _this.atanxy(_this.pad.vx,_this.pad.vy);
              
              _this.d = _this.angleDiff(_this.mShooter.rotation,_this.dir);
              
              _this.mShooter.rotation-=_this.d*_this.v/4;
              
            }
            
          }
          if (_this.pad.touched==- 1) {
            _this.mShooter.Shot();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_PlayerController_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_PlayerController_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (_this.mShooter) {
                if (_this.getkey("right")>0) {
                  _this.mShooter.rotation+=3;
                }
                if (_this.getkey("left")>0) {
                  _this.mShooter.rotation-=3;
                }
                if (_this.getkey("space")==1) {
                  _this.mShooter.Shot();
                }
                
              }
              if (_this.pad.touched) {
                if (_this.pad.touched==1) {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click,50);
                }
                if (_this.mShooter) {
                  _this.mShooter.p=0;
                }
                _this.mShooter=_this.all(Tonyu.classes.user.PlayerShooter).nearest(_this.pad.x,_this.pad.y);
                _this.mShooter.p=8;
                _this.v = _this.abs(_this.pad.vx)+_this.abs(_this.pad.vy);
                
                if (_this.v>0.1) {
                  _this.dir = _this.atanxy(_this.pad.vx,_this.pad.vy);
                  
                  _this.d = _this.angleDiff(_this.mShooter.rotation,_this.dir);
                  
                  _this.mShooter.rotation-=_this.d*_this.v/4;
                  
                }
                
              }
              if (_this.pad.touched==- 1) {
                _this.mShooter.Shot();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_PlayerController_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.pad=new Tonyu.classes.user.APadN({keySpeed: 0});
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false}},"fields":{"v":{},"dir":{},"d":{},"pad":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Shooter',
  shortName: 'Shooter',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shooter_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Shooter_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_Shooter_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.pow=o.pow||80;
      },
      Shot :function _trc_Shooter_Shot() {
        "use strict";
        var _this=this;
        var ball;
        
        ball = new Tonyu.classes.user.Ball({x: _this.x,y: _this.y,p: 18,slip: 0.97,density: 2});
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru5,64);
        ball.applyImpulse(_this.cos(_this.rotation)*_this.pow,_this.sin(_this.rotation)*_this.pow);
      },
      fiber$Shot :function _trc_Shooter_f_Shot(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var ball;
        
        ball = new Tonyu.classes.user.Ball({x: _this.x,y: _this.y,p: 18,slip: 0.97,density: 2});
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru5,64);
        ball.applyImpulse(_this.cos(_this.rotation)*_this.pow,_this.sin(_this.rotation)*_this.pow);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"Shot":{"nowait":false}},"fields":{"pow":{}}}
});
Tonyu.klass.define({
  fullName: 'user.StartMapEditor',
  shortName: 'StartMapEditor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_StartMapEditor_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$editorConfig={layers: [{name: "base",pats: [- 1,Tonyu.globals.$pat_mapchip+88,Tonyu.globals.$pat_mapchip+89,Tonyu.globals.$pat_mapchip+90,Tonyu.globals.$pat_mapchip+91,Tonyu.globals.$pat_mapchip+124,Tonyu.globals.$pat_mapchip+62,Tonyu.globals.$pat_mapchip+78]},{name: "on",pats: [- 1,Tonyu.globals.$pat_mapchip+1,Tonyu.globals.$pat_mapchip+2,Tonyu.globals.$pat_mapchip+3,Tonyu.globals.$pat_mapchip+4,Tonyu.globals.$pat_neko,Tonyu.globals.$pat_neko+50,Tonyu.globals.$pat_neko+49]}],mapDir: _this.file("../maps/"),showHelp: true};
        _this.loadPage(Tonyu.classes.mapEditor2.MapFiles);
      },
      fiber$main :function _trc_StartMapEditor_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$editorConfig={layers: [{name: "base",pats: [- 1,Tonyu.globals.$pat_mapchip+88,Tonyu.globals.$pat_mapchip+89,Tonyu.globals.$pat_mapchip+90,Tonyu.globals.$pat_mapchip+91,Tonyu.globals.$pat_mapchip+124,Tonyu.globals.$pat_mapchip+62,Tonyu.globals.$pat_mapchip+78]},{name: "on",pats: [- 1,Tonyu.globals.$pat_mapchip+1,Tonyu.globals.$pat_mapchip+2,Tonyu.globals.$pat_mapchip+3,Tonyu.globals.$pat_mapchip+4,Tonyu.globals.$pat_neko,Tonyu.globals.$pat_neko+50,Tonyu.globals.$pat_neko+49]}],mapDir: _this.file("../maps/"),showHelp: true};
        
        _thread.enter(function _trc_StartMapEditor_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.mapEditor2.MapFiles);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Wall',
  shortName: 'Wall',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Wall_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_mapchip+88;
        _this.isStatic=true;
      },
      fiber$main :function _trc_Wall_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_mapchip+88;
        _this.isStatic=true;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.EnemyA',
  shortName: 'EnemyA',
  namespace: 'user',
  superclass: Tonyu.classes.user.Enemy,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_EnemyA_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.moveUpd();
          _this.hitUpd();
          _this.update();
          
        }
      },
      fiber$main :function _trc_EnemyA_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_EnemyA_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=5     ; break; }
              _this.fiber$moveUpd(_thread);
              __pc=2;return;
            case 2:
              
              _this.fiber$hitUpd(_thread);
              __pc=3;return;
            case 3:
              
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=1;break;
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.EnemyShooter',
  shortName: 'EnemyShooter',
  namespace: 'user',
  superclass: Tonyu.classes.user.Shooter,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_EnemyShooter_main() {
        "use strict";
        var _this=this;
        
        _this.shotDelay = 0;
        
        _this.targetDir = 0;
        
        _this.retargetDelay = 600;
        
        _this.shotReady = 0;
        
        while (1) {
          Tonyu.checkLoop();
          _this.t = Tonyu.globals.$Stage.mainBall;
          
          if (_this.rnd(60)==1) {
            _this.shotReady=1;
            
          }
          if ((_this.retargetDelay>120&&_this.dist(_this.t)>32)||_this.shotReady==1&&_this.rnd(5)<3) {
            _this.targetDir=_this.atanxy(_this.t.x-_this.x,_this.t.y-_this.y);
            _this.velocity = _this.t.spd();
            
            _this.hosei = _this.clamp(_this.t.x-300,0,300)/1;
            
            if (_this.targetDir>0) {
              _this.targetDir-=(_this.rnd(_this.velocity)-_this.velocity/4+_this.hosei)*0.25;
              
            } else {
              _this.targetDir+=(_this.rnd(_this.velocity)-_this.velocity/4+_this.hosei)*0.25;
              
            }
            _this.retargetDelay=0;
            
          } else {
            _this.retargetDelay++;
            
          }
          _this.d = _this.angleDiff(_this.rotation,_this.targetDir);
          
          if (_this.t.x>400) {
            _this.rotation-=_this.d/2;
            
          } else {
            _this.rotation-=_this.d/10;
          }
          if (_this.shotReady>0) {
            if (_this.rnd(20)==1&&_this.shotDelay>10) {
              _this.Shot();
              
            }
            _this.shotReady++;
            
          }
          if (_this.shotDelay>60) {
            _this.Shot();
            
          }
          _this.shotDelay++;
          _this.update();
          
        }
      },
      fiber$main :function _trc_EnemyShooter_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.shotDelay = 0;
        
        _this.targetDir = 0;
        
        _this.retargetDelay = 600;
        
        _this.shotReady = 0;
        
        
        _thread.enter(function _trc_EnemyShooter_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=8     ; break; }
              _this.t = Tonyu.globals.$Stage.mainBall;
              
              if (_this.rnd(60)==1) {
                _this.shotReady=1;
                
              }
              if ((_this.retargetDelay>120&&_this.dist(_this.t)>32)||_this.shotReady==1&&_this.rnd(5)<3) {
                _this.targetDir=_this.atanxy(_this.t.x-_this.x,_this.t.y-_this.y);
                _this.velocity = _this.t.spd();
                
                _this.hosei = _this.clamp(_this.t.x-300,0,300)/1;
                
                if (_this.targetDir>0) {
                  _this.targetDir-=(_this.rnd(_this.velocity)-_this.velocity/4+_this.hosei)*0.25;
                  
                } else {
                  _this.targetDir+=(_this.rnd(_this.velocity)-_this.velocity/4+_this.hosei)*0.25;
                  
                }
                _this.retargetDelay=0;
                
              } else {
                _this.retargetDelay++;
                
              }
              _this.d = _this.angleDiff(_this.rotation,_this.targetDir);
              
              if (_this.t.x>400) {
                _this.rotation-=_this.d/2;
                
              } else {
                _this.rotation-=_this.d/10;
              }
              if (!(_this.shotReady>0)) { __pc=4     ; break; }
              if (!(_this.rnd(20)==1&&_this.shotDelay>10)) { __pc=3     ; break; }
              _this.fiber$Shot(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.shotReady++;
            case 4     :
              
              if (!(_this.shotDelay>60)) { __pc=6     ; break; }
              _this.fiber$Shot(_thread);
              __pc=5;return;
            case 5:
              
            case 6     :
              
              _this.shotDelay++;
              _this.fiber$update(_thread);
              __pc=7;return;
            case 7:
              
              __pc=1;break;
            case 8     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Shot :function _trc_EnemyShooter_Shot() {
        "use strict";
        var _this=this;
        
        __superClass.prototype.Shot.apply( _this, []);
        _this.shotDelay=0;
        _this.shotReady=false;
      },
      fiber$Shot :function _trc_EnemyShooter_f_Shot(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_EnemyShooter_ent_Shot(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              __superClass.prototype.fiber$Shot.apply( _this, [_thread]);
              __pc=1;return;
            case 1:
              
              _this.shotDelay=0;
              _this.shotReady=false;
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Shot":{"nowait":false}},"fields":{"shotDelay":{},"targetDir":{},"retargetDelay":{},"shotReady":{},"t":{},"velocity":{},"hosei":{},"d":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PlayerShooter',
  shortName: 'PlayerShooter',
  namespace: 'user',
  superclass: Tonyu.classes.user.Shooter,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PlayerShooter_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_PlayerShooter_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_PlayerShooter_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.FxBreakScore',
  shortName: 'FxBreakScore',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxBreakScore_main() {
        "use strict";
        var _this=this;
        
        if (_this.score>99) {
          new Tonyu.classes.user.FxScoreValue({x: _this.x-_this.scaleX*100,y: _this.y,value: _this.floor(_this.score/100),scaleX: _this.scaleX});
          new Tonyu.classes.user.FxScoreValue({x: _this.x,y: _this.y,value: _this.floor(_this.score/10)%10,scaleX: _this.scaleX});
          new Tonyu.classes.user.FxScoreValue({x: _this.x+_this.scaleX*100,y: _this.y,value: (_this.score%100)%10,scaleX: _this.scaleX});
          
        } else {
          if (_this.score>9) {
            new Tonyu.classes.user.FxScoreValue({x: _this.x-_this.scaleX*50,y: _this.y,value: _this.floor(_this.score/10),scaleX: _this.scaleX});
            new Tonyu.classes.user.FxScoreValue({x: _this.x+_this.scaleX*50,y: _this.y,value: _this.score%10,scaleX: _this.scaleX});
            
          } else {
            if (_this.score<=9&&_this.score>=0) {
              new Tonyu.classes.user.FxScoreValue({x: _this.x,y: _this.y,value: _this.score,scaleX: _this.scaleX});
              
            } else {
              new Tonyu.classes.user.FxScoreValue({x: _this.x-_this.scaleX*100,y: _this.y,value: 9,scaleX: _this.scaleX});
              new Tonyu.classes.user.FxScoreValue({x: _this.x,y: _this.y,value: 9,scaleX: _this.scaleX});
              new Tonyu.classes.user.FxScoreValue({x: _this.x+_this.scaleX*100,y: _this.y,value: 9,scaleX: _this.scaleX});
              
            }
          }
        }
        _this.die();
      },
      fiber$main :function _trc_FxBreakScore_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.score>99) {
          new Tonyu.classes.user.FxScoreValue({x: _this.x-_this.scaleX*100,y: _this.y,value: _this.floor(_this.score/100),scaleX: _this.scaleX});
          new Tonyu.classes.user.FxScoreValue({x: _this.x,y: _this.y,value: _this.floor(_this.score/10)%10,scaleX: _this.scaleX});
          new Tonyu.classes.user.FxScoreValue({x: _this.x+_this.scaleX*100,y: _this.y,value: (_this.score%100)%10,scaleX: _this.scaleX});
          
        } else {
          if (_this.score>9) {
            new Tonyu.classes.user.FxScoreValue({x: _this.x-_this.scaleX*50,y: _this.y,value: _this.floor(_this.score/10),scaleX: _this.scaleX});
            new Tonyu.classes.user.FxScoreValue({x: _this.x+_this.scaleX*50,y: _this.y,value: _this.score%10,scaleX: _this.scaleX});
            
          } else {
            if (_this.score<=9&&_this.score>=0) {
              new Tonyu.classes.user.FxScoreValue({x: _this.x,y: _this.y,value: _this.score,scaleX: _this.scaleX});
              
            } else {
              new Tonyu.classes.user.FxScoreValue({x: _this.x-_this.scaleX*100,y: _this.y,value: 9,scaleX: _this.scaleX});
              new Tonyu.classes.user.FxScoreValue({x: _this.x,y: _this.y,value: 9,scaleX: _this.scaleX});
              new Tonyu.classes.user.FxScoreValue({x: _this.x+_this.scaleX*100,y: _this.y,value: 9,scaleX: _this.scaleX});
              
            }
          }
        }
        _this.die();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"score":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Lib',
  shortName: 'Lib',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Lib_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Lib_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      vplaySE :function _trc_Lib_vplaySE(se,vspd) {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(se,_this.clamp(vspd*10+10,0,128));
      },
      fiber$vplaySE :function _trc_Lib_f_vplaySE(_thread,se,vspd) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(se,_this.clamp(vspd*10+10,0,128));
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"vplaySE":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map